@font-face {
    font-family: Lato;
    src: url(/fonts/Lato-Regular.ttf);
}
@font-face {
    font-family: Raleway;
    src: url(/fonts/Raleway-Regular.ttf);
}
@font-face {
    font-family: Faustina;
    src: url(/fonts/Faustina-Regular.ttf);
}
@font-face {
    font-family: "Highway Gothic";
    src: url(/fonts/HighwayGothicFhwa2025-9MWv5.otf);
}
body {
    background-color: #7e5229;
    color: #E4F1FE;
    margin: 0;
}

a {
    color: #c3e619;
    font-size:12pt;
    font-family: Jura, Lato, roboto, arimo, Ubuntu;
}

a.tooltip span{
	display:none;
    color: blue;
    padding:0.13em 0.19em;
    margin-left:0.5em;
    width:8.13em;
}

a.tooltip:hover span{
	display:inline;
	position: relative;
	border:0.06em solid #cccccc;
	background:#ffffff;
	color:#6c6c6c;
}

p {
    color: #f6e15f;
    font-size:14pt;
    font-family: Lato, Raleway, Ubuntu;
}

cite {
   color: #ff0066;
}

ol {
	color: #f6e15f;
	list-style-type: katakana;
	font-family: 'Lato', 'Ubuntu';
}

ul {
	color: #f6e15f;
	list-style-type: square;
	font-family: 'Lato', 'Ubuntu';
}

table {
    color: #d0d0d0;
    background-color: #538067;
}

th {
    color: #00ff7f;
    background-color: #538067;
    font-size: 130%;
    font-weight: bold;
    font-family: sans-serif;
}

td h2, th h2 {
    color: #FFFF11;
    background-color: #538067;
}

th h1 {
	color: #dc143c;
	background-color: #538067;
}

td, td p {
	color: #ffecdb;
	background-color: #538067;
}

label, td{
	font-family: Faustina, Platypi, 'Cormorant Garamond';

}


h1 {
    font-size: 160%;
}

h2 {
    color: #FFFF33;
    font-size: 140%;
    font-family: 'sans-serif';
    font-variant: small-caps;
}

h3 {
    font-family: sans-serif;
}

button, input[type=button],[type=reset], [type=submit] {
    color: #fff;
    font-family: sans-serif;
    background-color: #61670e;
    border: none;
    text-decoration: none;
    padding: .5em 1em;
}


input[type=submit]:disabled, button:disabled {
    opacity: .5;

}


button:hover {
    background-color: #61500e;
}

/*new button */
a.button6 {
  display: inline-block;
  padding: 0.7em 1.4em;
  margin: 0 0.3em 0.3em 0;
  border-radius: 0.15em;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  text-decoration: none;
  font-family: 'Arial',sans-serif;
  text-transform: uppercase;
  font-weight: 400;
  color: #8e8e8e;
  background-color: #7fffffff;
  -webkit-box-shadow: inset 0 -0.6em 0 -0.35em rgba(0, 0, 0, 0.17);
          box-shadow: inset 0 -0.6em 0 -0.35em rgba(0, 0, 0, 0.17);
  text-align: center;
  position: relative;
}

a.button6:active {
  top: 0.1em;
}

@media all and (max-width: 30em) {
  a.button6 {
    display: block;
    margin: 0.4em auto;
  }
}

/*end button*/

select, 
option,
textarea,
textbox,
input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="search"],
input[type="url"],
input[type="number"]{
  appearance: none;
  background-color: gold;
  border: 1px solid;
  padding: 3px;
}


select, select>option {
    border-radius: 0.5rem;
    background-color: gold;
}

/* grid */

.parent
{
display: grid;
grid-auto-flow: row;
grid-template-columns: repeat(6, 1fr);
grid-template-rows: repeat(6, auto);
/*grid-column-gap: 0px;*/
grid-row-gap: 5px;
} 
/* end grid*/


#wrapper{
	min-height: 100%; 	
    height: 100%;
	margin-bottom: -160px;	
	
	
}


#content {
	padding-top: 1.5em;    
	float: right;
	text-align: left;
    grid-area: 2 / 3 / 6 / 7;
}
#trail{
	
	padding-bottom: 2em;
	float: left;
	grid-area: 2 / 1 / 6 / 3;

}

#trail, #trail a {
	font-size: 110%;	
	color: #D7BE00;
	font-style: normal;
	font-variant: normal;
	text-transform: none;
	font-family: arial, sans-serif;
	font-weight: bold;
	border-color: #EFC85C;
	text-align: center;
	text-decoration: none;
}
 #trail p{
 	position: fixed;
 }
	
#logo {
	font-family: bahnschrift,'Cooper Black','Highway Gothic', Tratex, Transport, 'Noto Sans', carlito, Arimo ;
	display: block;
	display:inline-block;        
	text-align: center;
	font-size: 110%;
    grid-area: 1 / 1 / 2 / 7;
	}

#footer {
	clear: both;   
	border-top: 1px solid #000;
	text-align: center;
    grid-area: 6 / 1 / 7 / 7;    
	}
	
	/*css for menu*/
	/*menu bg-c#5f74f6*/
#menu   {
	padding-top: 1.5em;
	width: 12em;
	float: left;
	position: fixed;
}

.dl-menuwrapper button:hover,
.dl-menuwrapper button.dl-active,
.dl-menuwrapper ul {
    background-color: #5f74f6;

}

#menu li {
	list-style: none;
	background-color: #5f74f6;
	border-top: solid 1px #039;
	text-align: left;
	margin: 0;
} 

#menu li a {
	display: block;
	text-decoration: none;
	padding: .25em;
	border-bottom: solid 1px #39f;
	border-right: solid 1px #39f;
	color: #f6e15f;
}


#menu a:hover {
	  background-color: #888;
}

.switch-checkbox {
    position: relative;
    width: 40px;
    height: 20px;
    appearance: none;
    background-color: #ffd700;
    outline: none;
    cursor: pointer;
    border-radius: 20px;
    transition: background 0.3s;
}
.switch-checkbox:checked {
    background-color: #61670e;
}
.switch-checkbox:after {
    content: '';
    position: absolute;
    top: 2px;
    left: 2px;
    width: 16px;
    height: 16px;
    background-color: white;
    border-radius: 50%;
    transition: 0.3s;
}
.switch-checkbox:checked:after {
    left: 22px;
}


 /*btt*/
/* from: https://moderncss.dev/pure-css-smooth-scroll-back-to-top/*/
/* Smooth scrolling IF user doesn't have a preference due to motion sensitivities */
@media screen and (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}

.back-to-top-link {
  /* `fixed` is fallback when `sticky` not supported */
  position: fixed;
  /* preferred positioning, requires prefixing for most support, and not supported on Safari */
  /* @link https://caniuse.com/#search=position%3A%20sticky 
  position: sticky; */
  /* reinstate clicks */
  pointer-events: all;
  /* achieves desired positioning within the viewport */
  /* relative to the top of the viewport once `sticky` takes over, or always if `fixed` fallback is used */
  top: calc(100vh - 5rem);
  display: inline-block;
  text-decoration: none;
  font-size: 2rem;
  line-height: 3rem;
  text-align: center;
  width: 3rem;
  height: 3rem;
  border-radius: 50%;
  background-color: #d6e3f0;
  /* emoji don't behave like regular fonts
     so this helped position it correctly */
  padding: 0.25rem;
}

.back-to-top-wrapper {
  /* uncomment to visualize "track" */
 /* outline: 1px solid red;*/
  position: absolute;
  top: 100vh;
  right: 0.25rem;
  /* Optional, extends the final link into the
  // footer at the bottom of the page
  // Set to `0` to stop at the end of `main` */
  bottom: -5em;
  /* Required for best support in browsers not supporting `sticky` */
  width: 3em;
  /* Disable interaction with this element */
  pointer-events: none;
}

content {
  /* leave room for the "scroll track" */
  padding: 0 3rem;
  /* required to make sure the `absolute` positioning of
  // the anchor wrapper is indeed `relative` to this element vs. the body */
  position: relative;
  max-width: 50rem;
  margin: 2rem auto;

  /* Optional, clears margin if last element is a block item */
  *:last-child {
    margin-bottom: 0;
  }
}

/* dark mode */

:root{
  color-scheme: light dark;
}

#content {
    width: 100%;

}

p {
    color: light-dark(#f6e15f, #def);

}

cite {
   color: light-dark( #eea8cb,#ff0066);
}

/* kill content width */ 
/* end dark mode */
